Bug 803753 - [ovirt] [vdsm] pool upgrade: mixed pool is blocked in code
[ovirt] [vdsm] pool upgrade: mixed pool is blocked in code
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.4
Assigned To: Saggi Mizrahi
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 11:20 EDT by Haim
Modified: 2016-02-10 11:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-15 11:20:31 EDT
Description of problem:

mixed pool is blocked in code, preventing us from attaching old version (0) to newer pool (2). 

commit was entered in hash: 017db3b2

need to revert it wisely, meaning: 

attachStorageDomain should check if domain is data-domain and version, if version == '0', vdsm should invoke domainUpgrade() for that domain, and we should make it transitent as possible, meaning, attachStorageDomain command should not return till upgradeDomain() is done.
Comment 1 Itamar Heim 2013-03-12 05:38:09 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.